Extending Qt Creator Manual | DumpParameters

Extending Qt Creator Manual 4.5.2

# DumpParameters Class

The DumpParameters class contains all parameters for GDBMI dumping of a symbol group in one class. The debugging engine passes maps of type names/inames to special integer values indicating hex/dec, etc. More...

Header: | #include <DumpParameters>

- List of all members, including inherited members

## Public Types

enum | DumpFlags { DumpHumanReadable, DumpComplexDumpers, DumpAlphabeticallySorted }
typedef | FormatMap

## Public Functions

std::string | format(const std::string &type, const std::string &iname) const
bool | humanReadable() const
bool | isAlphabeticallySorted() const
bool | recode(const std::string &type, const std::string &iname, const SymbolGroupValueContext &ctx, ULONG64 address, std::wstring *value, std::string *encoding) const

## Static Public Members

DumpParameterRecodeResult | checkRecode(const std::string &type, const std::string &iname, const std::wstring &value, const SymbolGroupValueContext &ctx, ULONG64 address, const DumpParameters *dp = 0)
FormatMap | decodeFormatArgument(const std::string &f, bool isHex)

## Detailed Description

The DumpParameters class contains all parameters for GDBMI dumping of a symbol group in one class. The debugging engine passes maps of type names/inames to special integer values indicating hex/dec, etc.

## Member Type Documentation

### enum DumpParameters::DumpFlags

### typedef DumpParameters::FormatMap

## Member Function Documentation

### `[static]` DumpParameterRecodeResult DumpParameters::checkRecode(const std::string &type, const std::string &iname, const std::wstring &value, const SymbolGroupValueContext &ctx, ULONG64 address, const DumpParameters *dp = 0)

### `[static]` FormatMap DumpParameters::decodeFormatArgument(const std::string &f, bool isHex)

### std::string DumpParameters::format(const std::string &type, const std::string &iname) const

### bool DumpParameters::humanReadable() const

### bool DumpParameters::isAlphabeticallySorted() const

### bool DumpParameters::recode(const std::string &type, const std::string &iname, const SymbolGroupValueContext &ctx, ULONG64 address, std::wstring *value, std::string *encoding) const